Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Class TaxResultImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.ebusiness.tax.TaxResultImpl

All Implemented Interfaces
  TaxResult, Belonging, BusinessSmartComponent, RelationalReference, Serializable, Cloneable, Comparable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class TaxResultImpl

extends BelongingImpl
implements TaxResult, Cloneable

A holder for various taxinfo belongings: total: A summary of all taxes and reasons line: A ordered list of lines that correspond to various taxes. The order is the same as the order of the taxlinelist being used to generate the taxes.

See Also
  `TaxResult`, `TaxResultHome`, Serialized Form

Field Summary
`List` | `line` Deprecated See BEA Commerce product offering
`TaxInformation` | `total` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`TaxResultImpl()` Deprecated See BEA Commerce product offering

Method Summary
`void` | `calculateTotals()` Deprecated See BEA Commerce product offering
`int` | `compareTo(Object o)` Deprecated See BEA Commerce product offering
`List` | `getLine()` Deprecated See BEA Commerce product offering
`TaxInformation` | `getTotal()` Deprecated See BEA Commerce product offering
`String` | `interfaceName()` Deprecated See BEA Commerce product offering
`void` | `setByValue(Belonging value)` Deprecated See BEA Commerce product offering
`void` | `setLine(List list)` Deprecated See BEA Commerce product offering
`void` | `setTotal(TaxInformation total)` Deprecated See BEA Commerce product offering
`Belonging` | `value()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### line

    public List line

  Deprecated See BEA Commerce product offering
  One TaxInformation for each line in the original order.
  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.List

### total

    public TaxInformation total

  Deprecated See BEA Commerce product offering
  The total information for the order that was processed.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### TaxResultImpl

    public TaxResultImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### getLine

    public List getLine()

  Deprecated See BEA Commerce product offering

  Get the value of line

  Specified by:
    `getLine` in interface `TaxResult`
  Returns
    line.

### setLine

    public void setLine(List list)

  Deprecated See BEA Commerce product offering

  Set the value of Line

  Specified by:
    `setLine` in interface `TaxResult`
  Parameters
    `line` - to be set

### getTotal

    public TaxInformation getTotal()

  Deprecated See BEA Commerce product offering

  Get the value of total

  Specified by:
    `getTotal` in interface `TaxResult`
  Returns
    total.

### setTotal

    public void setTotal(TaxInformation total)

  Deprecated See BEA Commerce product offering

  Set the value of total

  Specified by:
    `setTotal` in interface `TaxResult`
  Parameters
    `total` - total to be added

### value

    public Belonging value()

  Deprecated See BEA Commerce product offering

  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  Deprecated See BEA Commerce product offering

  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  Deprecated See BEA Commerce product offering

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Deprecated See BEA Commerce product offering

  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

### calculateTotals

    public void calculateTotals()

  Deprecated See BEA Commerce product offering

  This method should be called by anyone constructing TaxResults, it will calculate the total TaxInformation attribute. Typically, the caller would be a subclass of TaxCalculator. The user of a TaxCalculator does not have to call calculateTotals.

  Specified by:
    `calculateTotals` in interface `TaxResult`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved